<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<% html_title t(:label_administration), t(:label_plugins) %>
<%= toolbar title: t(:label_plugins) %>
<% if @plugins.any? %>
  <div class="generic-table--container">
    <div class="generic-table--results-container">
      <table class="generic-table plugins">
        <colgroup>
          <col>
          <col>
          <col>
        </colgroup>
        <thead>
          <th>
            <div class="generic-table--sort-header-outer">
              <div class="generic-table--sort-header">
                <span>
                  <%= I18n.t('label_name') %>
                </span>
              </div>
            </div>
          </th>
          <th>
            <div class="generic-table--sort-header-outer">
              <div class="generic-table--sort-header">
                <span>
                  <%= I18n.t('attributes.author') %>
                </span>
              </div>
            </div>
          </th>
          <th>
            <div class="generic-table--sort-header-outer">
              <div class="generic-table--sort-header">
                <span>
                  <%= I18n.t('attributes.version') %>
                </span>
              </div>
            </div>
          </th>
        </thead>
        <tbody>
          <% @plugins.each do |plugin| %>
            <tr>
              <td><span class="name"><%=h plugin.name %></span>
                <%= content_tag('span', plugin.description, class: 'description') if plugin.description.present? %>
                <%= content_tag('span', link_to(plugin.url, plugin.url), class: 'url') if plugin.url.present? %>
              </td>
              <td class="author"><%= plugin.author_url.blank? ? plugin.author : link_to(plugin.author, plugin.author_url) %></td>
              <td class="version">
                <% if plugin.bundled %>
                  <%= t(:label_bundled) %>
                <% else %>
                  <%= plugin.version %>
                <% end %>
              </td>
            </tr>
          <% end %>
        </tbody>
      </table>
    </div>
  </div>
<% else %>
  <%= no_results_box display_action: true,
                     action_url: OpenProject::Static::Links.url_for(:integrations) %>
<% end %>
